ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ome::xml::model::Well::Impl Class Reference

Private implementation details of Well model object. More...

Collaboration diagram for ome::xml::model::Well::Impl:
[legend]

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< std::string > | externalIdentifier
| ExternalIdentifier property.
ome::xml::model::primitives::NonNegativeInteger | column
| Column property.
ome::compat::shared_ptr< std::string > | externalDescription
| ExternalDescription property.
ome::compat::shared_ptr< ome::xml::model::primitives::Color > | color
| Color property.
ome::compat::shared_ptr< std::string > | type
| Type property.
std::string | id
| ID property.
ome::xml::model::primitives::NonNegativeInteger | row
| Row property.
std::vector< ome::compat::shared_ptr< ome::xml::model::WellSample > > | wellSamples
| WellSample property (occurs more than once)
ome::compat::weak_ptr< ome::xml::model::Reagent > | reagent
| ReagentRef reference.
OMEModelObject::indexed_container< ome::xml::model::Annotation, ome::compat::weak_ptr >::type | annotationLinks
| AnnotationRef reference (occurs more than once)
ome::compat::weak_ptr< ome::xml::model::Plate > | plate
| Plate_BackReference back reference.

## Detailed Description

Private implementation details of Well model object.

The documentation for this class was generated from the following file:

- ome/xml/model/Well.cpp